2001-02-08  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.3.0: bumped up
	* guash.c (thumbnail_panel_update_rubber_band): redraw eagerly in
	order to erase the old rectangle completely

2001-02-06  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (help_document): add a sentence for drag-and-hold
	* gaush.c (thumbnail_panel_update_rubber_band): call
	thumbnail_panel_update_rectangle for erase garbages in rubber band
	mode

2001-02-05  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c : s/ABSTRUCT/ABSOLUTE/g (:-O why it was abstruct????)
	* guash.c : start overwhole after some changes for idle rendering
	* guash-2.3.0: into code-maturing stage
	
2001-02-03  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c : lots of changes for complete idle rendering
	* include/guash-f.h(selection_show): removed

2001-02-02  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (DIALOG): assign key-bindings only to thumbnail_panel
	(was bound to dialog. This made the entry box useless.)
	* guash.c: many functions are updated for idle rendering
	
2001-01-29  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: apply a patch for win32 from Masahiro Sakai (酒井政裕)
	* guash.c (display_request_redraw_rect): check the_panel.resized
	* guash.c (guash_discard_events): call display_requst_set_handler
	(try to redisplay w/o missing)
	* guash.c (thumbnail_panel_event_handler): call
	display_request_redraw after poping a menu up.
	* guash.c (thumbnail_save_as_jpeg_thumbnail): add gimp_layer_delete
	* guash.c (select_none_callback): call idle_render
	* guach.c (thumbnail_panel_set_info): call
	display_request_set_handler at the bottom for delayed rendering

2001-01-20  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_event_handler): add delayed_updating
	into the condition for invoking thumbnail_panel_update, in order
	to try to avoid crash in updating with resize event. (I don't know
	real reason of the crash.)

2000-09-11  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_finalize_update): only called from
	display_request_handler and check cwd_cache for fail-safe
	* guash.c (display_request_finalize, display_request_set_handler):
	new functions
	* guash.c (thumbnail_panel_update_rectangle): call
	two functions above for updating panel after keyboard
	shortcuts

2000-09-08  Shuji Narazaki  <narazaki@gimp.org>

	* guash-config.h (GUASH_INHIBIT_SUFFIX_TABLE_DEFAULT): add .avi
	and .mov
	* guash.c (IDLE_RENDERER): new symbol
	* guash.c (display_request_redraw, display_request_redraw_rect):
	new functions
	* guash.c (DisplayRequest): new structure for queuing repaint events
	* guash.c (display_request_initialize, display_request_handler):
	new functions

2000-09-04  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: s/GPlugInInfo/GimpPlugInInfo/,
	/PROC_PLUG_IN/GIMP_PLUGIN/, /GStatusType/GimpPDBStatusType/,
	/GRunModeType/GimpRunModeType/,
	/STATUS_EXECUTION_ERROR/GIMP_PDB_EXECUTION_ERROR/,
	/STATUS_SUCCESS/GIMP_PDB_SUCCESS/,
	/GLayerMode/GimpLayerModeEffects/,
	/NORMAL_MODE/GIMP_NORMAL_MODE/, /Parasite/GimpParasite/,
	/parasite_free/gimp_parasite_free/, /GDrawable/GimpDrawable/,
	/GPixelRgn/GimpPixelRgn/, /gimp_query_images/gimp_image_list/
	(to catch up code clean up for gimp-1.2)
	* guash.c: add new symbol: GUASH_I18N and unset it as default

2000-04-08  Shuji Narazaki  <narazaki@gimp.org>

	* guash-config.h (GUASH_INHIBIT_SUFFIX_TABLE_DEFAULT): add ".gz"
	(We can't use fxxxxxxx gz plug-in).

2000-04-03  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (selection_dump_as_html_listing): fixed
	* guash.c (image_buffer_copy_to_drawable): comment out (no need to
	call?)

2000-03-29  Shuji Narazaki  <narazaki@gimp.org>

	* script-fu: renamed from script-for-gimp1.2
	* guash-config.h (THUMBNAIL_PANEL_DEFAULT_FONT): new macro
	* guash.c (the_panel): add font field
	* gush.c (run): comment out some useless g_free
	* guash.c (DIALOG): check dlg->style->font. If invalid we use
	THUMBNAIL_PANEL_DEFAULT_FONT and store it into the_panel.font

2000-03-25  Shuji Narazaki  <narazaki@gimp.org>

	* guash-config.h (GUASH_INHIBIT_SUFFIX_TABLE_DEFAULT): add more suffix
	* README-stability: new file, until gmc handles thumbnails

2000-03-15  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.2.4: bumped up
	* guash-config.h : move #include <libgimp/gimpintl.h> to guash.c
	* guash.c: misc modification for I18N
	* guash.c (guash_move_image_file): return TRUE if successed to
	renamed-move
	* guash.c (guash_[copy,delete, move]_image_file): change the type
	to static gboolean
	
2000-02-01  Shuji Narazaki  <narazaki@gimp.org>

	* BUGS, ChangeLog, TODO, README-web-indexing, debian/rules:
	modified slightly

2000-01-29  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.2.3: bumped up and registered

2000-01-28  Shuji Narazaki  <narazaki@gimp.org>

	* INSTALL: add the case for debian user
	* README : fix a typo

2000-01-27  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_event_handler): support wheelmouse
	* debian: new directory for generating guash.deb package
	* Makefile: add rules for debian

2000-01-19  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (guash_get_image_from_file): back RUN_INTERACTIVE mode
	(a trial: it would be better if everythings work well and are robust)

1999-12-21  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.2.2: bumped up and registered

1999-12-19  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (timer_initialize_guash): call RESET_RUBBER_AREA. This
	fixes the bug: thumbnail panel isn't updated correctly in the
	initial state. 

1999-12-18  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_finalize_rubber_band): modify the redraw
	logic for tablet users
	* guash.c (selection_open_files): delete debug message

1999-12-17  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (struct the_panel): remove idle_handler, new_x, new_y
	* guash.c (thumbnail_panel_update_rectangle): return immediately
	if width == height == 0, and checks whether in rubber_band mode or not
	* guash.c: lots of modifications to fix the rubber band bug
	
1999-12-16  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_update_delayed): modified

1999-12-15  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_update_rectangle): fix partial update bug
	* guash.c (DIALOG): delete "Redraw" button. No more needed.
	
1999-12-14  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.2.1: bumped up and registered
	* include/gtk-wrapper.h: removed
	* guash-config.c: magical tuning for gtk+-1.2
	* guash.c: the_panel.drawing_frame was removed
	* guash.c (thumbnail_panel_event_handler): add a code for removing
	the_panel.idle_handler to stop drawing a rectangle after
	converting drag-area to selection (doesn't seem to absolute solution)

1999-12-12  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.2.0: bumped up but not registered (connection timeout)
	* guash.c (dnd_drag_motion_callback): reset timer when the cursor
	moves in even one pixel
	* guash.c (directory_cache_create_parents_menu): allocate label
	with the valid size
	* guash.c (dnd_drag_motion_callback): redesign. The last nights
	modification uses too severe condition to find timeout for users
	* guash.c (dnd_source_delete_data): set dnd_record.drag_data to NULL
	* guash.c (thumbnail_panel_event_handler): ditto
	
1999-12-11  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (DIALOG): don't bind cursor_event_handler to
	key_press_event of thumbnail_panel. This fixes the bug: cursor key
	moves the cursor twice.

1999-12-09  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.2.0: passed the CHECKLIST. Bumped to 3 days death attack mode
	* guash.c (thumbnail_panel_show_banner_step1): s/WHITE_COLOR/BASE_COLOR/
	* guash.c (thumbnail_panel_show_banner_step2): ditto
	* guash.c (thumbnail_panel_show_banner_step3): ditto
	* guash.c (thumbnail_panel_clear_rectangle): use BANNER_UP_PERIOD
	* guash.c (guash_build_thumbnail_from_gimage): loop terminations
	use reverse logic. bogus
	
1999-12-02  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.2.0: bumped to beta phase.
	* guash.c (thumbnail_panel_event_handler): BUTTON_RELEASE calls
	gtk_idle_remove, and MOTION_NOTIFY checks state field. I don't
	know what's that. But works!
	* guash.c (guash_build_thumbnail_from_gimage) : new merge-down
	algorithm, which would work well if the image has at least one
	visible layer...
	
1999-12-01  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (INDEX_TO_Y): its range was [0, the_panel.nthumb_in_page].
	Now expanded to natural number.

1999-11-30  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (cwd_cache_update): set the temporal layer's name 

1999-11-29  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_event_handler): implement very
	primitive rubber b(h?)and selector. It can't move to another page.
	* guash.c (thumbnail_panel_update_delayed): check
	the_panel.in_motion_p

1999-11-28  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (dnd_drag_motion_callback): fix lots of bugs in drag_motion
	* guash.c (cwd_cache_update): set PURGED_P, if DURING_DRAG_MOTION_P
	* guash.c (dnd_drag_begin_callback): release dnd_record.drag_data

1999-11-26  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (DURING_DRAG_MOTION_P): new macro
	* guash.c (directory_cache_get_image): check DURING_DRAG_MOTION_P
	* guash.c (DIALOG): add a new button "Redraw"

1999-11-25  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (dnd_data_received): invalidate dnd_record.index
	* guash.c (timer_directory_monitor): check dnd_record.index

1999-11-24  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (guash_build_thumbnail_from_gimage): add layer into
	position = nlayers -2 (instead of -1). This would be fix the bug
	on merge-down. Problem will be occurred, only if the mode of the
	bottom layer of a single-layered image isn't Normal.

1999-11-22  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (redraw_callback): new function
	* guash.c (dnd_drag_begin_callback): new function
	* guash.c: various change to implement smart DnD/rubber band
	
1999-11-20  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (guash_build_thumbnail_from_gimage): fix again :-<
	insert a new, small layer on the BG not to change the mode the layer.

1999-11-19  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (cwd_cache_update): use dummy_image to assure at least
	one image exists in order to avoid the stamped of L&C dialog. This
	would be the last weapon against the lazy L&C dialog.
	
1999-11-18  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: various tries to fix a bug about gimp_flatten_image
	* guash.c (guash_build_thumbnail_from_gimage): new implementation
	using gimp_image_get_thumbnail_data
	* rmthumbnail: new file, that deletes all thumbnails under cwd
	* guash.c (guash_build_thumbnail_from_gimage): Gimp is
	brain-damaged. Guash is brain-damaged. Thus they work together well.
	(Any broken preview data can't be purged through PDB!)
	
1999-11-13  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_update_rectangle): new function
	* guash.c (thumbnail_panel_update): use it
	* guash.c (thumbnail_panel_clear_rectangle): new function
	* guash.c (thumbnail_panel_clear): use it
	* guash.c (preview_event_handler): GDK_EXPOSE updates only the region
	* guash.c (all geometric macros): enclose args with parens
	
1999-11-12  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (guash_open_image_file): gimp_destroy_params crashes
	guash if liked with -lefence. Call it only if no electric-fence.

	* include/debug.h (g_malloc): use malloc in debug mode, to use
	electric fence

1999-11-11  Shuji Narazaki  <narazaki@gimp.org>

	* include/gtkW.h (gtkW_preview_force_to_update_partially): removed
	* guash.c (thumbnail_panel_draw_rgb): new function for wrap
	gdk_draw_rgb_image
	* guash.c: exhaustive updates for using gtk_drawing_area instead
	of gtk_preview
	
1999-11-08  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.1.2: bumped up and registered.
	* guash.c (thumbnail_save_as_jpeg_thumbnail): use "" instead of
	NULL for comment string. This fixes the bug: jpeg plug-in crashes
	during generation of jpeg-thumbnails
	* guash-2.1.1: bumped up and registered. This version has a bug
	that I couldn't fix.
	* guash-config.h: add new MACRO: UNDER_DEVELOPMENT
	* guash-config.h: delete some codes for 1.0.X
	* guash.c, include/guash-f.h: define unimplement_callback only if
	UNDER_DEVELOPMENT
	* guash.c (guash_change_current_directory): debug probing only if
	UNDER_DEVELOPMENT
	
1999-10-24  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (os_file_change_current_directory): return TRUE if
	pathname == NULL
	* guash.c (preview_event_handler): add rule: the parent of /
	equals to /

1999-10-20  Shuji Narazaki  <narazaki@gimp.org>

	* INSTALL: remove pessimistic sentences(:-)

1999-10-18  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (cwd_cache_update): use new variable update_step

1999-10-17  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: catch up to pdb renaming (Sun Oct 17 00:55:38 CEST 1999
	Marc Lehmann <marc@gimp.org>) (1st stage?)

1999-10-13  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (COMMENT_DELIMITOR): new macro
	* guash.c (show_comment_callback): use COMMENT_DELIMITOR
	* guash.c (guash_build_thumbnail_from_gimage): use
	COMMENT_DELIMITOR. This fixed the bug: "Show comment" command
	showed "no comment" message.
	
1999-10-09  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.1.0: bumped up (but not released)
	* guash.c (mount_callback): make verbose
	* guash.c (unmount_callback): ditto
	
1999-10-07  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (mount_callback): call guash_purge_subdirectory_information

1999-10-06  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (show_comment_callback): codes for
	TRANSLATE_PHOTOSHOP_TM comment out (it didn't work)

1999-10-05  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: include "libgimp/stdplugins-intl.h" and call
	INIT_I18N_UI(), only if ENABLE_NLS
	* guash.c (BUILD_ABSTRUCT_PATH): new macro for construct an
	absolute path
	* gaush.c (BUILD_ABSTRUCT): new macro
	
1999-10-04  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (guash_purge_subdirectory_information): new function
	* guash.c (directory_cache_table_purge_subdirectory): new function
	* guash.c (unmount_callback): call guash_purge_subdirectory_information
	
1999-10-01  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_preference_menu): new menu

1999-09-29  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: s/html*thumb/jpeg*thumb/
	* guash.c (purge_selected_jpeg_thumbnail_file_callback):
	removed.
	* gaush.c (purge_selected_thumbnail_file_callback) it deletes
	all jpeg-thumbnails
	* README-web-indexing: new file
	* guash.c (guash_build_inhibit_suffix_table): "gz|bz2" is
	acceptable now.
	THIS MEANS GUASH BECOMES MUCH UNSTABLE SINCE NOW, UNTIL
	gimp-narazaki-990928-0.patch IS APPLIED.
	
1999-09-28  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (purge_selected_html_thumbnail_file_callback): new function
	* guash.c (pathname_build_html_thumbnail_filename): make
	html-thumbnail file invisible (a dot file)
	* guash.c (thumbnail_save_as_html_thumbnail): require the second
	arg for directory. This fixes the bug: html-thumbnail was saved in a
	wrong directory, if cwd-of-guash != cwd-of-gimp.
	* guash.c (first_page_callback): new function
	* guash.c (last_page_callback): new function
	* guash.c (SENSITIVE_SCROLL): divided into SENSITIVE_NOT_LAST_PAGE
	and SENSITIVE_NOT_FIRST_PAGE
	* guash.c (Gtk_binding): update the definition for gtk+-1.2
	* gaush.c (thumbnail_panel_root_directory_menu): removed
	
1999-09-27  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (selection_dump_as_html): new function
	* guash.c (selection_dump_as_html_callback): new function
	* guash.c (selection_dump_as_html_listing): new function
	* guash.c (selection_dump_as_html_listing_callback): new function
	* guash.c (selection_dump_as_html_guash_table): new function
	* guash.c (selection_dump_as_html_guash_table_callback): new function
	* guash.c (image_buffer_copy_from_drawable): renamed from image_buffer_copy_drawable
	* guash.c (image_buffer_copy_to_drawable): new function 
	* guash.c (pathname_build_html_thumbnail_filename): new function
	* guash.c (thumbnail_save_as_html_thumbnail): new function
	* guash.c (run) call INIT_I18N_UI()
	* guash.c (guash_build_thumbnail_from_gimage): don't use doublequote
	* guash.c (select_all_html_thumbnail_callback): new function
	* guash.c: and more...
	
1999-09-26  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (unimplement_callback): new function
	* guash.c (guash_build_inhibit_suffix_table): add ".gpf" to the
	taboo list
	* guash.c: add new variables: thumbnail_panel_root_directory_menu,
	thumbnail_panel_directory_menu,	thumbnail_panel_selection_map_menu,
	image_root_directory_commands, image_directory_commands,
	image_selection_map_commands
	* guash.c (thumbnail_panel_update_scroller): update
	image_root_directory_commands
	* guash.c (_menu_create): new function
	* guash.c (thumbnail_panel_create_menu): call it
	* guash.c (fileselector_for_move_directory_callback): new function
	* guash.c (move_directory_callback): new function
	* guash.c (directory_cache): add a new field last_focus_directory
	* guash.c (directory_cache_update_thumbnail_for): add the case of
	directory
	* guash.c (preview_event_handler): popup root-directory menu only
	if it is not a symbolic link
	* guash.c (mount_callback): new function
	* guash.c (unmount_callback): new function
	
1999-09-25  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (image_command_table): add a new field submenu

1999-09-22  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: add more assertions to trace:
	
	#0  0x401a8052 in g_on_error_stack_trace () from /usr/lib/libglib-1.2.so.0
	#1  0x401a7f69 in g_on_error_query () from /usr/lib/libglib-1.2.so.0
	#2  0x4003305f in gimp_signal (signum=11) at gimp.c:1175
	#3  0x402afff8 in sigaction () from /lib/libc.so.6
	#4  0x80512be in thumbnail_panel_update () at guash.c:3160
	#5  0x8058b81 in preview_event_handler (widget=0x80cdbc0, event=0xbfffe144)

1999-09-16  Shuji Narazaki  <narazaki@gimp.org>

	* guash-config.h: add the case of gtk+-1.0 (GUASH_USE_OLD_LIBS)
	* include/gtk-wrapper.h: new file
	* guash.c (dnd_*): works only if GUASH_ENABLE_DND
	* guash.c: reorder header files
	
1999-09-15  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.7: bumped and registered
	* GimpCanNotOpenThis.jpg: removed
	* guash.c: remove the vanisher
	* INSTALL: update
	* README: update
	* guash-2.0.8: bumped and registered
	
1999-09-13  Shuji Narazaki  <narazaki@gimp.org>

	* INSTALL: remove crash information, 'cause it's obsolete
	* guash.c (cwd_cache_update): set cursor back to the original
	after directory scan more early to flush, and even in the case of
	emergency_termination
	* guash.c (query): activate "self-defense" again
	* guash.c (timer_start_guash): more ironical hehehe

1999-09-11  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.7: will be released in 4 days
	* guash.c (dnd_copy_files_to): add the case of (src == dest).
	(gtkW_close_callback): set emergency_termination on only if the
	button belongs to the dialog. This fixes the bug: thumbnail_panel
	is broken after closing a warning dialog.
	* guash.c: with_lock becomes countable
	* guash.c (timer_start_guash): show CAVEAT message if need
	* guash.c (timer_directory_monitor): quit immediately, if locked

1999-09-10  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (timer_directory_monitor): add more assertions
	* guash.c with_lock: new variable
	* guash.c (preview_event_handler): add with_lock
	* guash.c (dnd_data_received): ditto
	* guash.c (dnd_drag_request_callback): ditto
	* guash.c (timer_directory_monitor): use it

	* guash.c (query): stop "self-defense". It's only works if
	~/.gimp*/plug-ins follows /usr/local/lib/gimp/*/plug-ins
	I lost a way with gfli.
	
1999-09-09  Shuji Narazaki  <narazaki@gimp.org>

	* gimp/app: crucial patches against gimp for stability of guash
	are merged into CVS.
	
1999-09-02  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (query): "self-defense" only if needed

1999-09-01  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (guash_get_image_from_file): use RUN_INTERACTIVE instead
	of RUN_NONINTERACTIVE. What a smart way to avoid THE BUG! I adopt
	the idea. (But I shall proceed with self-defense propaganda.)

1999-09-01  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (query, run): "self-defense"

1999-08-31  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.6: bumped and registered

1999-08-27  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (dnd_source_delete_data): checks whether the files
	exist, instead of real (and duplicated) deletion. Now deletion is
	done by DnD receiver.
	* guash.c (directory_cache_update_selection): add a new mode:
	SELECTION_DISORDER to update selection after a file operation
	* guash.c (cwd_cache_update_after_file_operation): call
	directory_cache_update_selection if DISORDERED_P

1999-08-09  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.5.1: bumped up and registered
	* Makefile: update "--exclude" options for a new tar(?)
	* guash.c (guash_build_inhibit_suffix_table): add ".gz|.bz2" to
	guash_inhibit_suffix_table, if gtk was configured --debug-enable,
	since gz file loader cashes when a given file isn't a real gz file. 

1999-08-02  Shuji Narazaki  <narazaki@gimp.org>

	* INSTALL: add more information about development packages.

1999-07-30  Shuji Narazaki  <narazaki@gimp.org>

	* INSTALL: renamed from QUICK_INSTALL
	* guash-2.0.5: tried to release. But I failed to register by some
	trouble of CGI of registry.gimp.org.

1999-07-20  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: add new variable emergency_termination to destroy guash
	immediately, even if in directory-scan
	* guash.c (guash_move_image_file): Since, in moving by DnD, the
	sender delete all source files, even if receiver failed to move it,
	because there already exists the destination file,
	guash_move_image_file should generate an unique filename in the
	case, by appending ".-" to the tail. This is the last glitch in
	betas of 2.0.5. I will fix this problem in another way in 2.0.6
	(released by this September): source files should be deleted by
	the receiver (not by the sender!).
	
1999-07-14  Shuji Narazaki  <narazaki@gimp.org>

	* QUICK_INSTALL: update. (I stop sending THE patch to ML. The bug
	depends on configuration. I have no idea which approach is
	better, eliminating GIMP_IMAGE or recompiling w/o --enable-debug.)
	(Note [Fri Jul 30 12:15:28 1999]: I now think the code should be
	rewrited.)
	
1999-07-13  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (guash_get_image_from_file): undo the last change. I
	must fix it by modifying the gimp's code
	(lc_dialog_image_menu_preview_update_cb in lc_dialog.c). 
	* guash-2.0.5: Code freezed. Guash-2.0.5 will be released when the
	patch is committed into the CVS, or at 1999-07-25.
	
1999-07-11  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (guash_get_image_from_file): call gimp_list_images after
	gimp_image_delete to stop the cast error. Gee.
	
1999-06-25  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (cwd_cache_update): increase rate of update_threshold
	now becomes very low

1999-06-15  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (DIALOG): change the button title to "Drag Me" from
	"Copy/Move", because the semantics depends on the client
	* QUICK_INSTALL: new file

1999-06-09  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (DIALOG): add GDK_ACTION_LINK and GDK_ACTION_ASK to
	gtk_drag_source_set for the panel

1999-06-03  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (selection_delete_files): add the case that the file was
	deleted out of me
	* guash.c (dnd_copy_files_to): add another arg: delete
	* guash.c (dnd_data_received): use a new action dispatcher. Now
	works most cases. Exception: move file from guash to gmc (crash)
	* guash.c guash-config.h include/guash-f.h: delete flags:
	GTK_HAVE_FEATURES_*, NEW_DND_API, DEFAULT_FONT_SIZE

1999-05-30  Shuji Narazaki  <narazaki@gimp.org>

	* script-for-gimp1.2/add-comment.scm (script-fu-add-comment):
	call gimp-parasite-new instead of obsolete parasite-new

1999-05-25  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (GUASH_DND_SIGNATURE): defined on gtk+-1.2 and changed
	to "file:" to simulate gmc
	* guash.c (dnd_target_table): change as that in mc
	* guash.c (dnd_copy_files_to): strip url header
	
1999-04-15  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: include <gtk/gtkfeatures.h>. This may mean guash only
	works on gimp-1.0.4 (with gtk+-1.2) or upper.
	* guash.c (DIALOG): add another condition defined(ENABLE_NLS) for
	setlocale().

1999-03-18  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.4: made, released and registered

1999-03-17  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (save_thumbnail_as_xvpict_image): stole the code for
	saving in 8bit from gimp/app/fileops.c
	* guash-config.c: add some definitions (G_DIR_SEPARATOR_S and
	g_strncasecmp) for glib-1.0
	* guash.c (preview_event_handler, thumbnail_panel_size_allocate):
	more changes for resizing. Duplicated calls of
	thumbnail_panel_clear were eliminated
	* guash.c (run): use os_delete_file instead of vanila unlink
	* guash.c (image_root_commands): change/add some keybindings (and
	the order in menu)
	* guash.c (image_selection_commands): ditto
	
1999-03-16  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_size_allocate): changed to the
	experimental implementation to fix the bug of file_property
	visibility through ssh
	* guash-2.0.4: start 24hours brew; back to the release mode
	
1999-03-15  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: use gtk_label_set_text if (1.1.0 <= GTK)
	* guash.c (pathname_get_last_separator_index): renamed from
	pathname_get_last_slash_index
	* guash.c: scatter NATIVE_WIN32 flags into os_*
	* guash.c (pathname_get_canonical_name): fix a memory leak

1999-03-14  Shuji Narazaki  <narazaki@gimp.org>

	* README (IMPLEMENTATION MEMO): fix typo (bugos -> bogus)!

1999-03-13  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (toggle_save_mode_callback): changed for the third mode
	* guash.c (guash_parse_gimprc): change the mnemonic for GPICT from
	'c' to 'g'

1999-03-10  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.3: released and registered
	* guash-config.h: renamed from config.h

1999-03-07  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (purge_selected_thumbnail_file_callback): new function;
	the gimp generates too simple thumbnail file
	* include/guash-f.h: delete all argument names
	
1999-03-04  Shuji Narazaki  <narazaki@gimp.org>

	* config.h: define TRANSLATE_PHOTOSHOP_TM
	* guash.c (show_comment_callback): use it
	* guash.c (cwd_cache_update): sliding threshold instead of magic
	number 64
	
1999-02-28  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (show_comment_callback): new command
	* guash.c (pathname_get_directoryname): use G_DIR_SEPARATOR_S

1999-02-24  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: use G_DIR_SEPARATOR instead of '/'
	* guash.c (guash_set_fileselector_last_value): append
	G_DIR_SEPARATOR to the tail for building suitable default value
	for copy/move dialog
	* BUGS: delete obsolete entries

1999-02-15  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (image_buffer_copy_drawable): call
	gimp_drawable_{width|height} instead of gimp_layer_{width|height}

1999-02-07  Shuji Narazaki  <narazaki@gimp.org>

	* po/ja.po: fix error
	* po/ja.gmo: generated
	
1999-02-06  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (load_xvpict_image): OK, OK, OK. I fixed. Right
	implementation of the parser
	
1999-02-03  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_show_banner_step2): call
	thumbnail_panel_clear and thumbnail_panel_draw_image_buffer before
	rendering
	* guash.c (guash_is_initialized) fix typo
	* guash.c (DIALOG): handle the wm close signal("delete_event")
	
1999-02-02  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.2: bump up and register
	* guash.c (selection_iterator_compare_timestamp): reverse logic
	* guash.c (thumbnail_panel_size_allocate): change the type
	* script-for-gimp1.0/map-on-guash-selection.scm (gm-sample-1.0):
	fix parameters for gimp1.0. Now script-handling works again on
	gimp-1.0. But minimal tested, sorry.
	
1999-02-01  Shuji Narazaki  <narazaki@gimp.org>

	* script-for-gimp1.2/guash-mapper-sample.scm (gm-collect): copied
	from gm-sample in map-on-guash-selection.scm
	* script-for-gimp1.2/guash-mapper-sample.scm (gm-mgp): accept
	(optional) parameters for specifying image geometry and output filename
	* script-for-gimp1.0/map-on-guash-selection.scm: re-link to the one
	in scirpt-for-gimp1.2
	* po/*: rebuild
	* guash.c (selection_map_script): final check of the behavior of
	script-fu. It should be BROKEN_SCRIPT_FU.
	
1999-01-28  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_size_allocate): delete
	gtk_widget_set_usize for cwd_label and file_property. If called,
	strings aren't appeared after resizing. Since now works fine on
	most window managers, start death-attack to brew 2.0.2 till 19990202.
	* guash.c (guash_build_inhibit_suffix_table): use g_realloc on
	gimp-1.0(exactly speaking, on glib-1.0). Now the guash-2.0.2 can
	be compiled on gimp-1.1/1.0. Resizing also works well.
	* README: final update for 2.0.2
	
1999-01-27  Shuji Narazaki  <narazaki@gimp.org>

	* README: add a section about debug/bug-report
	* guash.c (selection_open_files): display last selected image's
	info in file_property widget after opening image files
	* guash.c: all debug messages are shown in the ubiquitos character
	set (ASCII) anytime
	* po/*: rebuild
	* guash.c (thumbnail_panel_size_allocate): stop calling
	gtk_widget_show for cwd_label and file_property. The strange
	behavior in resizing depends on window manager partially.
	* BUGS: add information on diffrences among window mangers
	* guash.c (selection_map_script): reimplement without another PDB
	call nor use of parasite
	* guash.c (run): reimplement the PLUG_IN_NAME_FOR_SELECTION part
	* script-for-gimp1.2/map-on-guash-selection.scm
	(script-fu-map-on-guash-selection): reimplement. Now it works on
	gimp-1.1.
	* guash.c (thumbnail_panel_size_allocate): fix resizing bug
	* guash.c (DIALOG): use gtk_signal_connect_after for
	"size_allocate" to the dialog
	
1999-01-26  Shuji Narazaki  <narazaki@gimp.org>

	* config.h (TEXT_DOMAIN): newly define
	* config.h (LOCALEDIR): ditto
	* guash.c (DIALOG): call setlocale, bindtextdomain and textdomain
	if needed

1999-01-25  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: update Marco Lamberto's address and update copyright of gimp

1999-01-22  Shuji Narazaki  <narazaki@gimp.org>

	* BUGS: add an entry
	* guash.c: back to ""s instead of NULLs. 
	* guash.c (guash_build_inhibit_suffix_table): use g_renew instead
	of g_realloc, and add more debug messages

1999-01-21  Shuji Narazaki  <narazaki@gimp.org>

	* po: new directory
	* po/guash.pot : new file
	* po/jp.po : new file
	* guash.c: some null strings were changed to NULL (xgettext complains)
	* Makefile: add gettext tag
	* script-for-gimp1.2: renamed from script-for-gimp1.1
	
1999-01-12  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (timer_directory_monitor): suppress a void message during
	thumbnail-panel building
	* guash.c (select_and_forward_callback): call
	directory_cache_valid_index to check the range of last_focus
	* guash.c (selection_reset): reset cwd_cache->last_focus to zero
	* guash.c (directory_cache_update_selection): dcache->last_focus
	follows the index anytime
	
1999-01-07  Shuji Narazaki  <narazaki@gimp.org>

	* BUGS: add info about i18n on gimp-1.1

1999-01-06  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_update_selection_buttons): call
	gtk_widget_dnd_drag_set only if (widget != NULL)
	* guash.c (cursor_event_handler): call gtk_accel_groups_activate
	only if GTK_HAVE_FEATURES_1_1_0
	(Thanks to Thomas Bahls)
	* script-for-gimp1.0: new directory
	* script-for-gimp1.0/map-on-guash-selection.scm: moved here
	* script-for-gimp1.1: renamed from scripts-for-1.1
	* script-for-gimp1.1/guash-mapper-sample.scm: moved here and linked
	from scripts-for-1.0
	
1998-12-21  Shuji Narazaki  <narazaki@gimp.org>

	* scripts-for-1.1: new directory
	* scripts-for-1.1/add-comment.scm: fixed bugs and moved here
	* scripts-for-1.1/map-on-guash-selection.scm: moved from
	./map-on-guash-selection-1.1.scm
	
1998-12-17  Shuji Narazaki  <narazaki@gimp.org>

	* add-comment.scm: new file

1998-12-09  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (load_xvpict_image): fix a bug (Thanks to Shawn Houston)

1998-12-06  Shuji Narazaki  <narazaki@gimp.org>

	* map-on-guash-selection-1.1.scm: new file for gimp-1.1.X
	* guash.c (guash_get_image_filename): new function to make a path
	that is returned by gimp_image_get_filename canonical (full-path).
	This fixes the bug: guash crashes when you invoke the gimp with
	a relative path of an image (as a command line argument), and update it.
	* guash.c (timer_directory_monitor): call it
	* guash.c (run): ditto
	
1998-11-29  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (timer_start_guash): save data if this is the first
	invocation of guash in this gimp session

1998-11-27  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (DIALOG): hack the preview class's key_press_event
	* guash.c (cursor_event_handler): change the 2nd argument's type
	for binding it to key_press_event and add the cases for GDK_Up/Down
	* guash.c: update FSF address
	
1998-11-24  Shuji Narazaki  <narazaki@gimp.org>

	* BUGS: add info on another crash

1998-11-17  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (DIALOG): add "Move" button as option
	* guash.c (dnd_drag_button_callback): update message

1998-11-16  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (selection_delete): delete the obsolete call to an old
	function for parasite

1998-11-12  Shuji Narazaki  <narazaki@gimp.org>

	* map-on-guash-selection.scm (script-fu-map-on-guash-selection):
	accept extra-args argument (version 0.92)

1998-11-11  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (guash_get_image_from_file): call
	gimp_image_disable_undo for speed up
	* guash.c (guash_get_image_from_file): check condition for non-pseudo
	image is changed from !(0 < i_id) to !(0 <= i_id)
	* guash.c (thumbnail_panel_size_allocate): force to show cwd_label
	and file_property. This fixes the bug: after resizing, they aren't
	displayed (this might be a temporal broken behavior of gtk+-1.1.X
	snapshot).
	* guash.c (guash_build_thumbnail_from_gimage): activate the
	"gimp-comment" parasite handling (The problem was in libgimp!)
	* guash.c (thumbnail_panel_set_info): call gtk_main_pending. On
	gimp-1.1, a label is not updated even if gdk_flush is called (this
	might be a temporal broken behavior of gtk snapshot)
	* guash.c (during_buildup_thumbnail_panel): new variable to
	control preview_event_handler
	
1998-11-10  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (gtkW_frame_new): use gtkW_frame_shadow_type instead of
	raw GTK_SHADOW_ETCHED_IN
	* guash.c (guash_build_thumbnail_from_gimage): 1st attempt to
	build info field from "gimp-comment" parasite if it exists

1998-11-04  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.1: bump up and register
	* guash.c (guash_update_cwd_cache): call thumbnail_panel_update
	only unless DISORDERED_P. This fixes the bug: thumbnail panel is
	displayed twice after a file was deleted.
	* guash.c (directory_cache_garbage_collect): reset DISORDERED_P if
	need
	* README: update slightly
	* BUGS: ditto
	* TODO: ditto
	* guash.c (query): change the initialization form of sargs for MIPS
	C++ on SGI (Thanks to Felix Ritter)
	
1998-11-02  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.0: bump up and register
	* guash.c (selection_map_script): fix the data size for gimp_set_data
	* map-on-guash-selection.scm (gm-collect): resize new-image before
	adding a new layer to avoid cropping (spec. of gimp-edit-paste was
	changed?) and rename from gm-mapper to gm-collect (version 0.91)
	* guash-mapper-sample.scm (gm-collect): ditto
	* guash.c (PLUG_IN_NAME_FOR_SELECTION): change the real name to
	"extension_guash_script_fu_interface"
	* guash.c (selection_map_script): change the behavior for
	SCPIRT_F*******
	* guash.c (run): delete tmp-file if invoked as
	PLUG_IN_NAME_FOR_SELECTION for SCPIRT_F*******
	* map-on-guash-selection: modified for SCRIPT_F******
	
1998-10-29  Shuji Narazaki  <narazaki@gimp.org>

	* TODO: new (joke) file

1998-10-27  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (directory_cache_reorder): recompute selection_top
	* guash.c (directory_cache_garbage_collect): fix wrong index assignment
	* guash.c (directory_cache_reorder): ditto
	* guash.c scatter assertions about selection_top's validness
	* guash.c (DIALOG): fix a signal name for dnd on gimp-1.0.X
	
1998-10-25  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (cwd_cache_jump_to_subdirectory_index): new function
	* guash.c: change the key binding of "Change to parent directory"
	
1998-10-21  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (image_root_commands): move "Selection None" from
	root-menu to selection-menu

1998-10-20  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (thumbnail_panel_finalize_update): update info field
	whenever cwd_cache is updated
	* guash.c (dnd_data_received): change action's value to
	GDK_ACTION_COPY when fails to move

1998-10-19  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (dnd_copy_files_to): set timestamp of destination dcache
	* guash.c (thumbnail_panel_move_focus): set a suitable value if
	last_focus is not initialized
	* guash-2.0.0: cancel the release schedule: guash-2.0.0 will not be
	released until November. I need gtk+-1.1.X with bug-free/stable dnd
	* guash.c: adapt to the new dnd API of upcoming gtk+-1.1.3
	* guash.c (os_scandir): rewrite to fix a bug (Thanks to Colin Plumb)
	* guash.c (guash_update_cwd_cache): call
	directory_cache_garbage_collect instead of directory_cache_reorder
	* guash.c (guash_change_current_directory): change interface
	* guash.c (directory_cache_garbage_collect): collect deleted
	directories
	* guash.c (timer_directory_monitor): fix wrong message
	* BUGS: update
	
1998-10-16  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.0: the 2nd 4 days 2nd phase
	* guash.c (guash_change_current_directory): new command (wrapper)

1998-10-15  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: (timer_directory_monitor): check the current directory
	even if gimp open some images.
	* guash.c: change the condition for including <libgimp/gimpintl.h>
	* guash.c (save_thumbnail_as_xvpict_image): delete unnecessary
	whitespace from #IMGINFO field

1998-10-14  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (cwd_cache_update_after_file_operation): call
	guash_update_cwd_cache only if HAS_ATTRIBUTE (cwd_cache, DISORDERED_P)
	* guash.c (selection_move_files_to): set DISORDERED_P 
	* guash.c (selection_delete_files): ditto
	* guash-2.1.0/guash.c: change 'c' (16 & poor)
	
1998-10-13  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (toggle_save_mode_callback): new command
	* guash.c (thumbnail_panel_create_menu_for): add the case for
	rootmenu as a submenu
	* guash.c (os_file_change_current_directory): new function

1998-10-12  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (DIALOG): add "Update" button

1998-10-11  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (timer_directory_monitor): call
	directory_cache_update_thumbnail_for with valid args
	* guash-2.1.0/guash.c: first 'c' (4.5/4.5/3 = about 4092)

1998-10-06  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.0: the 2nd phase
	* README: update performance data
	* config.h (GUASH_INHIBIT_SUFFIX_TABLE_DEFAULT): add ".tar.bz2"

1998-10-05  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c (directory_cache_update_selection): fix the bug about
	updating selection_top

1998-10-01  Shuji Narazaki  <narazaki@gimp.org>

	* guash.c: add more checks about num. of selection
	* guash.c (PATH_LENGTH): new macro (as G_PATH_LENGTH)
	* guash.c (os_file_get_current_directory): new function; the code
	was stole from gutil.c

1998-09-30  Shuji Narazaki  <narazaki@gimp.org>
	
	* map-on-guash-selection.scm (script-fu-map-on-guash-selection):
	change the initial values of max-width and max-height to 1
	* guash.c: cancel the previous modification for compatibility problem
	* guash.c: use g_get_current_directory, g_dirname, g_basename
	* guash.c: replace memcpy to g_memmove
	* guash.c (directory_cache_update_thumbnail_for): add the case for
	"display all files" mode
	* guash.c (thumbnail_copy_data): accept a thumbnail without
	image_buffer for "display all files" mode
	* BUGS: moved from misc/BUGS
	* guash.c (guash_build_thumbnail_from_gimage): fix info string
	
1998-09-29  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0.0: start DEATH_ATTACK the 1st phase
	* guash.c (dnd_copy_files_to): fix a wrong call of g_free
	* guash-mapper-sample.scm (gm-collect): call gimp-image-clean-all
	* guash.c (selection_map_script): generate unique file name
	* guash.c: fixed the bug about LRU replacement
	* guash.c: fixed the bug about wrong counting of deleted selected
	thumbnail
	
1998-09-28  Shuji Narazaki  <narazaki@gimp.org>

	* guash-2.0: back to normal development phase: the alpha version
	with synchronous directory_cache mechanism

